Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.sql
Class SQLProcessorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.ifs.admin.sql.SQLProcessorException

All Implemented Interfaces:
  java.io.Serializable

    public class SQLProcessorException

extends java.lang.Exception

A SQLProcessorException can be thrown by the SQLProcessor class.

See Also:
  Serialized Form
(Unpublished)
Modified:
  lsaenz 08/17/2000 Check for null before writing to log., lsaenz 07/18/2000 Changed to use ResourceBundleManager., lsaenz 07/06/2000 Changed to use Log., lsaenz 02/06/2000 Changed references to InstallerMessages to SQLProcessorMessages., lsaenz 12/17/1999 Added method to get error code of underlying SQLException., lsaenz 11/15/1999 Updated comments., lsaenz 09/14/1999 Removed error codes and messages, added use of ResourceBundle., lsaenz 08/26/1999 Modifed class to make it simpler., echui 12/15/1998 Fixed bug in parsing error codes., echui 10/16/1998 Created.

Field Summary
`static int` | `ERR_CONNECT_STMT_SYNTAX` Error code for a `SQLProcessor` error.
`static int` | `ERR_DEFINE_STMT_SYNTAX` Error code for a `SQLProcessor` error.
`static int` | `ERR_ELSE_NOT_IN_IF` Error code for a `SQLProcessor` error.
`static int` | `ERR_ENDIF_MISSING` Error code for a `SQLProcessor` error.
`static int` | `ERR_ENDIF_NOT_IN_IF` Error code for a `SQLProcessor` error.
`static int` | `ERR_INVALID_ERROR_NUM` Error code for a `SQLProcessor` error.
`static int` | `ERR_INVALID_SYMBOL` Error code for a `SQLProcessor` error.
`static int` | `ERR_PREPROC_CMD_SYNTAX` Error code for a `SQLProcessor` error.
`static int` | `ERR_SQL_EXCEPTION` Error code for a `SQLProcessor` error.
`static int` | `ERR_SQL_EXCEPTION_STMT` Error code for a `SQLProcessor` error.
`static int` | `ERR_SYMBOL_NOT_DEFINED` Error code for a `SQLProcessor` error.
`static int` | `ERR_UNABLE_TO_OPEN_FILE` Error code for a `SQLProcessor` error.
`static int` | `ERR_UNKNOWN` Error code for a `SQLProcessor` error.

Constructor Summary
`SQLProcessorException(int errorCode)` Creates a SQLProcessorException with a built-in message.
`SQLProcessorException(int errorCode, java.lang.Object msg)` Creates a SQLProcessorException with a built-in message that supports a custom sub-message (such as a specific filename).
`SQLProcessorException(java.sql.SQLException sqle)` Creates a SQLProcessorException from an underlying SQLException.
`SQLProcessorException(java.sql.SQLException sqle, java.lang.Object msg)` Creates a SQLProcessorException from an underlying SQLException; the error will include a custom sub-message (such as the statement that caused the SQLException).
`SQLProcessorException(java.lang.String errorMsg)` Creates a SQLProcessorException with a custom message.

Method Summary
`int` | `getErrorCode()` Returns the error code of the underlying SQLException.
`void` | `writeError(Log out)` Writes the current time and the error message to a Log.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERR_UNKNOWN

    public static final int ERR_UNKNOWN

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_INVALID_SYMBOL

    public static final int ERR_INVALID_SYMBOL

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_SYMBOL_NOT_DEFINED

    public static final int ERR_SYMBOL_NOT_DEFINED

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_UNABLE_TO_OPEN_FILE

    public static final int ERR_UNABLE_TO_OPEN_FILE

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_PREPROC_CMD_SYNTAX

    public static final int ERR_PREPROC_CMD_SYNTAX

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_ENDIF_MISSING

    public static final int ERR_ENDIF_MISSING

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_DEFINE_STMT_SYNTAX

    public static final int ERR_DEFINE_STMT_SYNTAX

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_CONNECT_STMT_SYNTAX

    public static final int ERR_CONNECT_STMT_SYNTAX

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_ELSE_NOT_IN_IF

    public static final int ERR_ELSE_NOT_IN_IF

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_ENDIF_NOT_IN_IF

    public static final int ERR_ENDIF_NOT_IN_IF

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_INVALID_ERROR_NUM

    public static final int ERR_INVALID_ERROR_NUM

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_SQL_EXCEPTION

    public static final int ERR_SQL_EXCEPTION

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

### ERR_SQL_EXCEPTION_STMT

    public static final int ERR_SQL_EXCEPTION_STMT

  Description copied from class: `SQLProcessorException`
  Error code for a `SQLProcessor` error.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### SQLProcessorException

    public SQLProcessorException(java.lang.String errorMsg)

  Creates a SQLProcessorException with a custom message.

  Parameters:
    `errorMsg` - the error message to use.
  (Unpublished)

### SQLProcessorException

    public SQLProcessorException(int errorCode)

  Creates a SQLProcessorException with a built-in message.

  Parameters:
    `errorCode` - the error code to use.
  (Unpublished)

### SQLProcessorException

    public SQLProcessorException(int errorCode,
                                 java.lang.Object msg)

  Creates a SQLProcessorException with a built-in message that supports a custom sub-message (such as a specific filename).

  Note: the custom sub-message Object must have a toString method.

  Parameters:
    `errorCode` - the error code to use.
    `msg` - the custom sub-message Object to use.
  (Unpublished)

### SQLProcessorException

    public SQLProcessorException(java.sql.SQLException sqle)

  Creates a SQLProcessorException from an underlying SQLException.

  Parameters:
    `sqle` - the SQLException that occurred.
  (Unpublished)

### SQLProcessorException

    public SQLProcessorException(java.sql.SQLException sqle,
                                 java.lang.Object msg)

  Creates a SQLProcessorException from an underlying SQLException; the error will include a custom sub-message (such as the statement that caused the SQLException).

  Parameters:
    `sqle` - the SQLException that occurred.
    `msg` - the custom sub-message Object.
  (Unpublished)

Method Detail

### getErrorCode

    public int getErrorCode()

  Description copied from class: `SQLProcessorException`
  Returns the error code of the underlying SQLException.

  Returns:
    the error code of the underlying SQLException, or -1 if there is no underlying SQLException.
  (Unpublished)

### writeError

    public void writeError(Log out)

  Description copied from class: `SQLProcessorException`
  Writes the current time and the error message to a Log.

  Parameters:
    `out` - the Log to write the message to.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD